Hello,

I'm hitting some problems compiling 1.4.1 on Snow Leopard. The errors I get depend on which version of Python I use to run:

$ python setup.py build

Here's what I saw using Python 2.6 (comes with Snow Leopard):

http://depth-first.com/articles/2011/10/21/easily-install-pymol-on-mac-osx/

Here's what I saw using Python 2.7 (installed from python.org as dmg):

http://depth-first.com/articles/2011/11/02/install-pymol-on-mac-os-x-snow-leopard/

I was able to get PyMOL to compile through bits and pieces picked up through Google. I haven't installed or tested the result for fear of corrupting my system to future PyMOL installations using MacPorts:

1) comment out layer0/ShaderMgr.c lines 173-187
2) $ CFLAGS="-I/usr/X11R6/include/freetype2" CC=/usr/bin/gcc-4.0  ARCHFLAGS="-arch x86_64" python setup.py

Any ideas?

Thanks,
Rich

--
Richard L. Apodaca 
Founder and CEO 
Metamolecular, LLC 
8070 La Jolla Shores Drive #464 
La Jolla, CA 92037 
858.658.0860 
 
http://metamolecular.com